Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.designer.cs	(revision 51)
@@ -112,7 +112,7 @@
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 4;
-            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.Text = "内容削除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             // 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.cs	(revision 51)
@@ -114,9 +114,23 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -196,6 +210,12 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フラグ初期化
             m_bChengeAns = false;
         }
@@ -269,6 +289,8 @@
                 // データ登録
                 if (!ConstructionWorkMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("積算小項目データ");
+
                 // 変更フラグクリア
                 m_bChengeAns = false;
 
@@ -327,6 +349,8 @@
                     return;
                 }
 
+                CommonMotions.RemoveEndMessage("積算小項目データ");
+
                 // クリア
                 ClearDisplay();
 
@@ -447,6 +471,12 @@
             // 更新データ取得
             DispMentenanceData();
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フォーカスセット
             m_dispControl[(int)DispControl.ItemName].Focus();
 
@@ -987,10 +1017,19 @@
                     m_dispControl[(int)DispControl.ItemName].Text = wrklist[0].ItemName.ToString();         // 作業名称
                     m_dispControl[(int)DispControl.SpecName].Text = wrklist[0].SpecName.ToString();         // 規格・寸法名称
                     m_dispControl[(int)DispControl.UnitScale].Text = wrklist[0].UnitName.ToString();        // 単位名称
-                    m_dispControl[(int)DispControl.UnitPrice].Text = wrklist[0].UnitPrice.ToString("#,0");       // 単価
-                    m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringEdit;       // ”修正”
+                    m_dispControl[(int)DispControl.UnitPrice].Text = wrklist[0].UnitPrice.ToString("#,0");  // 単価
+                    if (EditLock)
+                        m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringRef;     // 参照
+                    else
+                        m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringEdit;    // 修正
                 }
 
+                // 参照時はデータ変更させない
+                if (m_EditLock)
+                {
+                    ExecReadOnly();
+                }
+
                 m_bChengeAns = false;
             }
             catch (Exception ex)
@@ -1004,5 +1043,27 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.designer.cs	(revision 51)
@@ -123,7 +123,7 @@
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 5;
-            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.Text = "内容削除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             // 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.cs	(revision 51)
@@ -56,7 +56,7 @@
             PublicFlg,
         }
 
-        private enum DispControl
+        private enum DispCtrl
         {
             TypeCode = 0,
             TypeName,
@@ -90,10 +90,24 @@
         /// <summary>
         /// 表示コントロール保持配列
         /// </summary>
-        private Control[] m_dispControl = new Control[4];
+        private Control[] m_dispControl;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -176,6 +190,12 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             m_bChengeAns = false;
         }
         #endregion
@@ -199,7 +219,7 @@
                 if (cControl != null)
                 {
                     // 最後の入力フィールドならば登録ボタンへ
-                    if (cControl.Name == m_dispControl[(int)DispControl.PublicFlg].Name)
+                    if (cControl.Name == m_dispControl[(int)DispCtrl.PublicFlg].Name)
                     {
                         btnDataEntry.Focus();
                         return;
@@ -248,6 +268,8 @@
                 // データ登録
                 if (!ConstructionTypeDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("工事種別データ");
+
                 // フィールドロック
                 ControlLock(false);
 
@@ -306,6 +328,8 @@
                     return;
                 }
 
+                CommonMotions.RemoveEndMessage("工事種別データ");
+
                 // フィールドロック
                 ControlLock(false);
 
@@ -428,7 +452,7 @@
             DispMentenanceData();
 
             // フォーカスセット
-            m_dispControl[(int)DispControl.TypeName].Focus();
+            m_dispControl[(int)DispCtrl.TypeName].Focus();
 
         }
         #endregion
@@ -488,11 +512,11 @@
                 }
 
                 // モード表示
-                m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringNew;
+                m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringNew;
                 // コンボボックスクリア
                 cmbPublicFlg.SelectedIndex = -1;
                 // フォーカスセット
-                m_dispControl[(int)DispControl.TypeName].Focus();
+                m_dispControl[(int)DispCtrl.TypeName].Focus();
             }
             catch (System.Exception ex)
             {
@@ -527,10 +551,13 @@
         /// </summary>
         private void SetDisplayObject()
         {
-            m_dispControl[(int)DispControl.TypeCode] = lblTypeCode;
-            m_dispControl[(int)DispControl.TypeName] = txtInput1;
-            m_dispControl[(int)DispControl.PublicFlg] = cmbPublicFlg;
-            m_dispControl[(int)DispControl.EditMode] = lblEditMode;
+            int DspCtrlCnt = Enum.GetNames(typeof(DispCtrl)).Length;
+            m_dispControl = new Control[DspCtrlCnt];
+
+            m_dispControl[(int)DispCtrl.TypeCode] = lblTypeCode;
+            m_dispControl[(int)DispCtrl.TypeName] = txtInput1;
+            m_dispControl[(int)DispCtrl.PublicFlg] = cmbPublicFlg;
+            m_dispControl[(int)DispCtrl.EditMode] = lblEditMode;
         }
         #endregion
 
@@ -575,13 +602,13 @@
             try
             {
                 //構成名称
-                if (m_dispControl[(int)DispControl.TypeName].Text != null)
+                if (m_dispControl[(int)DispCtrl.TypeName].Text != null)
                     // レングスチェック
-                    bAns = CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispControl.TypeName], s_TypeNameLength, true);
+                    bAns = CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.TypeName], s_TypeNameLength, true);
                 bRet &= bAns;
 
                 // 工事種別フラグ
-                if (m_dispControl[(int)DispControl.PublicFlg].Text == null || m_dispControl[(int)DispControl.PublicFlg].Text.Length == 0)
+                if (m_dispControl[(int)DispCtrl.PublicFlg].Text == null || m_dispControl[(int)DispCtrl.PublicFlg].Text.Length == 0)
                     bAns = false;
                 else
                     bAns = true;
@@ -668,8 +695,8 @@
 
                 // データセット
                 ci.TypeCode = m_TypeCode;
-                ci.NameString = m_dispControl[(int)DispControl.TypeName].Text.ToString();
-                ci.PublicFlg = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispControl.PublicFlg]).SelectedValue.ToString());
+                ci.NameString = m_dispControl[(int)DispCtrl.TypeName].Text.ToString();
+                ci.PublicFlg = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispCtrl.PublicFlg]).SelectedValue.ToString());
                 ci.DeleteFlg = 0;
                 // 表示順はセットしない
                 ci.DisplayOrder = 0;
@@ -829,12 +856,22 @@
                 if (wrklist.Count != 0)
                 {
                     // データ表示
-                    m_dispControl[(int)DispControl.TypeCode].Text = wrklist[0].TypeCode.ToString();                     // 種別コード
-                    m_dispControl[(int)DispControl.TypeName].Text = wrklist[0].NameString.ToString();                   // 種別名称
-                    ((ComboBox)m_dispControl[(int)DispControl.PublicFlg]).SelectedValue = wrklist[0].PublicFlg;         // 工事種別
-                    m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringEdit;                    // ”修正”
+                    m_dispControl[(int)DispCtrl.TypeCode].Text = wrklist[0].TypeCode.ToString();                    // 種別コード
+                    m_dispControl[(int)DispCtrl.TypeName].Text = wrklist[0].NameString.ToString();                  // 種別名称
+                    ((ComboBox)m_dispControl[(int)DispCtrl.PublicFlg]).SelectedValue = wrklist[0].PublicFlg;        // 工事種別
+
+                    if (m_EditLock)
+                        m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringRef;                // 参照
+                    else
+                        m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringEdit;               // 修正
                 }
 
+                // 参照時はデータ変更させない
+                if (m_EditLock)
+                {
+                    ExecReadOnly();
+                }
+
                 m_bChengeAns = false;
             }
             catch (Exception ex)
@@ -875,5 +912,27 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.designer.cs	(revision 51)
@@ -107,7 +107,7 @@
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 5;
-            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.Text = "内容削除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             // 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Department/FrmDepartment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Department/FrmDepartment.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Department/FrmDepartment.cs	(revision 51)
@@ -124,9 +124,23 @@
         /// 構成コード
         /// </summary>
         private int m_DepartmentCode = 0;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -208,6 +222,11 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
             // フラグ初期化
             m_bChengeAns = false;
             m_bInitDataFlg = false;
@@ -268,6 +287,8 @@
                 // データ登録
                 if (!DepartmentMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("部署データ");
+
                 // フィールドロック
                 ControlLock(false);
 
@@ -347,6 +368,8 @@
                     }
                 }
 
+                CommonMotions.RemoveEndMessage("部署データ");
+
                 // フィールドロック
                 ControlLock(false);
 
@@ -473,6 +496,12 @@
             // 更新データ取得
             DispMentenanceData();
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フォーカスセット
             m_dispControl[(int)DispControl.RatioGrid].Focus();
 
@@ -1014,7 +1043,10 @@
                 ((ComboBox)m_dispControl[(int)DispControl.ActionSchdule]).SelectedValue = dmList[0].ActionScheduleFlg;
                 ((ComboBox)m_dispControl[(int)DispControl.StaffAssign]).SelectedValue = dmList[0].StaffAssignFlg;
 
-                m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringEdit;                       // ”修正”
+                if (m_EditLock)
+                    m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringRef;                     // ”参照”
+                else
+                    m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringEdit;                    // ”修正”
 
                 m_bChengeAns = false;
             }
@@ -1138,5 +1170,27 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
